gcc.hh File Reference
`#include <gecode/int.hh>`
`#include <gecode/int/gcc/view.hpp>`
`#include <gecode/int/gcc/bnd-sup.hpp>`
`#include <gecode/int/gcc/dom-sup.hpp>`
`#include <gecode/int/gcc/post.hpp>`
`#include <gecode/int/gcc/val.hpp>`
`#include <gecode/int/gcc/bnd.hpp>`
`#include <gecode/int/gcc/dom.hpp>`

Go to the source code of this file.

## Classes

class | Gecode::Int::GCC::Val< Card >
| Value consistent global cardinality propagator. More...
class | Gecode::Int::GCC::Bnd< Card >
| Bounds consistent global cardinality propagator. More...
class | Gecode::Int::GCC::Dom< Card >
| Domain consistent global cardinality propagator. More...

## Namespaces

namespace | Gecode::Int::GCC
| Global cardinality propagators (Counting).
namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.